<template>
  <a-form-model @submit.prevent="onSearch">
    <label>
      <input v-model="keyword" type="text" class="bg-blue-light rounded-full px-5 py-2 text-black-default outline-none" placeholder="Search" />
    </label>
  </a-form-model>
</template>

<script>
export default {
  name: 'ACustomSearch',
  props: {
    defaultValue: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      keyword: this.defaultValue,
    }
  },
  watch: {
    defaultValue() {
      this.keyword = this.defaultValue
    },
  },
  methods: {
    onSearch() {
      this.$emit('search', this.keyword)
    },
  },
}
</script>
